curl --request GET \
--url https://api.hubapi.com/marketing/forms/2027-03-beta \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/forms/2027-03-beta"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/forms/2027-03-beta', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/marketing/forms/2027-03-beta",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/marketing/forms/2027-03-beta"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/marketing/forms/2027-03-beta")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/marketing/forms/2027-03-beta")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"archived": true,
"configuration": {
"allowLinkToResetKnownValues": true,
"archivable": true,
"cloneable": true,
"createNewContactForNewEmail": true,
"editable": true,
"language": "af",
"lifecycleStages": [
{
"objectTypeId": "<string>",
"value": "<string>"
}
],
"notifyContactOwner": true,
"notifyRecipients": [
"<string>"
],
"postSubmitAction": {
"type": "redirect_url",
"value": "<string>"
},
"prePopulateKnownValues": true,
"recaptchaEnabled": true,
"embedType": "V3"
},
"createdAt": "2023-11-07T05:31:56Z",
"displayOptions": {
"renderRawHtml": true,
"style": {
"backgroundWidth": "<string>",
"fontFamily": "<string>",
"helpTextColor": "<string>",
"helpTextSize": "<string>",
"labelTextColor": "<string>",
"labelTextSize": "<string>",
"legalConsentTextColor": "<string>",
"legalConsentTextSize": "<string>",
"submitAlignment": "center",
"submitColor": "<string>",
"submitFontColor": "<string>",
"submitSize": "<string>"
},
"submitButtonText": "<string>",
"theme": "canvas",
"cssClass": "<string>"
},
"fieldGroups": [
{
"fields": [
{
"dependentFields": [
{
"dependentCondition": {
"operator": "between",
"rangeEnd": "<string>",
"rangeStart": "<string>",
"value": "<string>",
"values": [
"<string>"
]
},
"dependentField": "<unknown>"
}
],
"fieldType": "email",
"hidden": true,
"label": "<string>",
"name": "<string>",
"objectTypeId": "<string>",
"required": true,
"validation": {
"blockedEmailDomains": [
"<string>"
],
"useDefaultBlockList": true
},
"defaultValue": "<string>",
"description": "<string>",
"placeholder": "<string>"
}
],
"groupType": "default_group",
"richTextType": "image",
"richText": "<string>"
}
],
"formType": "hubspot",
"id": "<string>",
"legalConsentOptions": {
"type": "none"
},
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Get all forms
curl --request GET \
--url https://api.hubapi.com/marketing/forms/2027-03-beta \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/forms/2027-03-beta"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/forms/2027-03-beta', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/marketing/forms/2027-03-beta",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/marketing/forms/2027-03-beta"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/marketing/forms/2027-03-beta")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/marketing/forms/2027-03-beta")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"archived": true,
"configuration": {
"allowLinkToResetKnownValues": true,
"archivable": true,
"cloneable": true,
"createNewContactForNewEmail": true,
"editable": true,
"language": "af",
"lifecycleStages": [
{
"objectTypeId": "<string>",
"value": "<string>"
}
],
"notifyContactOwner": true,
"notifyRecipients": [
"<string>"
],
"postSubmitAction": {
"type": "redirect_url",
"value": "<string>"
},
"prePopulateKnownValues": true,
"recaptchaEnabled": true,
"embedType": "V3"
},
"createdAt": "2023-11-07T05:31:56Z",
"displayOptions": {
"renderRawHtml": true,
"style": {
"backgroundWidth": "<string>",
"fontFamily": "<string>",
"helpTextColor": "<string>",
"helpTextSize": "<string>",
"labelTextColor": "<string>",
"labelTextSize": "<string>",
"legalConsentTextColor": "<string>",
"legalConsentTextSize": "<string>",
"submitAlignment": "center",
"submitColor": "<string>",
"submitFontColor": "<string>",
"submitSize": "<string>"
},
"submitButtonText": "<string>",
"theme": "canvas",
"cssClass": "<string>"
},
"fieldGroups": [
{
"fields": [
{
"dependentFields": [
{
"dependentCondition": {
"operator": "between",
"rangeEnd": "<string>",
"rangeStart": "<string>",
"value": "<string>",
"values": [
"<string>"
]
},
"dependentField": "<unknown>"
}
],
"fieldType": "email",
"hidden": true,
"label": "<string>",
"name": "<string>",
"objectTypeId": "<string>",
"required": true,
"validation": {
"blockedEmailDomains": [
"<string>"
],
"useDefaultBlockList": true
},
"defaultValue": "<string>",
"description": "<string>",
"placeholder": "<string>"
}
],
"groupType": "default_group",
"richTextType": "image",
"richText": "<string>"
}
],
"formType": "hubspot",
"id": "<string>",
"legalConsentOptions": {
"type": "none"
},
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de requête
Le jeton de curseur de pagination de la dernière ressource lue avec succès sera renvoyé en tant que propriété JSON paging.next.after d'une réponse paginée contenant plus de résultats.
S'il faut renvoyer uniquement les résultats qui ont été archivés.
hubspot, captured, flow, blog_comment, all Le nombre maximum de résultats à afficher par page.
Réponse
successful operation
Un tableau de définitions de formulaires, chacune représentée par un objet HubSpotFormDefinition.
Show child attributes
Show child attributes
Informations de pagination pour une pagination unidirectionnelle. Contient la référence de la page suivante lorsque d'autres résultats sont disponibles ; omis ou vide sur la dernière page.
Show child attributes
Show child attributes